%define	module	File-Edit
%define	name	perl-%{module}
%define	version	0.3.1
%define	release	%mkrel 7

Summary:	File::Edit for inplace-editing of files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/
Buildrequires:	perl-devel
Requires:	perl 
Buildarch:	noarch

%description
File::Edit is a Perl module which defines an easy to use interface for
inplace-editing of files. You can delete only one pattern or all
lines where the pattern matches.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST 
%{perl_vendorlib}/File
%{perl_vendorlib}/auto/File
%{_mandir}/*/*


%changelog
* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.3.1-7mdv2007.0
+ Revision: 108533
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-File-Edit




* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1-6mdk
- rebuild
- Own dir

* Sun Aug 17 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.1-5mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- cosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-4mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- buildrequires

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- rebuild for new perl

* Tue Mar  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1 
